<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behave Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classETHMONITOR.html">ETHMONITOR</a></li><li class="navelem"><a class="el" href="classETHMONITOR_1_1behave.html">behave</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behave Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classETHMONITOR_1_1behave-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a02025ddae47c2e8fca094e9ae2600039"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02025ddae47c2e8fca094e9ae2600039"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a02025ddae47c2e8fca094e9ae2600039">PROCESS_985</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:adb67448525b1d5d63663c59c311d6f53"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb67448525b1d5d63663c59c311d6f53"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#adb67448525b1d5d63663c59c311d6f53">PROCESS_986</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_sop</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_eop</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4f9c08725fae79daf0ce551a4b6ff744"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f9c08725fae79daf0ce551a4b6ff744"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a4f9c08725fae79daf0ce551a4b6ff744">PROCESS_987</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">frm_in</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_dv</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a73acd6700a574d12752f96cf9655c569"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73acd6700a574d12752f96cf9655c569"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a73acd6700a574d12752f96cf9655c569">PROCESS_988</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">last_state</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">state</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aea448465bd3ffdbd37d4e1ea0175a70b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea448465bd3ffdbd37d4e1ea0175a70b"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#aea448465bd3ffdbd37d4e1ea0175a70b">PROCESS_989</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a24139f8b2dcce0a3cc8b90131142aa7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24139f8b2dcce0a3cc8b90131142aa7f"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a24139f8b2dcce0a3cc8b90131142aa7f">PROCESS_990</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a38a2f70c6b1326f3afd9f1127e7316f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a38a2f70c6b1326f3afd9f1127e7316f6"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a38a2f70c6b1326f3afd9f1127e7316f6">PROCESS_991</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3ec5575d6b4b065f9fae126a4df73e96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ec5575d6b4b065f9fae126a4df73e96"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a3ec5575d6b4b065f9fae126a4df73e96">PROCESS_992</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a7f7a0dafbec30e583b226d2bed6d678e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f7a0dafbec30e583b226d2bed6d678e"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a7f7a0dafbec30e583b226d2bed6d678e">PROCESS_993</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a07944fcbcbd02c4a0b5dad1ff008e3cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07944fcbcbd02c4a0b5dad1ff008e3cc"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a07944fcbcbd02c4a0b5dad1ff008e3cc">PROCESS_994</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a1c41d96c6fc7f9cbd34dce92114c07e9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c41d96c6fc7f9cbd34dce92114c07e9"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a1c41d96c6fc7f9cbd34dce92114c07e9">PROCESS_995</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aa1d51d42cd50f594e6517b3f1c27df65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1d51d42cd50f594e6517b3f1c27df65"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#aa1d51d42cd50f594e6517b3f1c27df65">PROCESS_996</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:abbc9682a39b6cea086ac69071a683917"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abbc9682a39b6cea086ac69071a683917"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#abbc9682a39b6cea086ac69071a683917">PROCESS_997</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3c605b40f8913f082fdb6b211ee6e156"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c605b40f8913f082fdb6b211ee6e156"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a3c605b40f8913f082fdb6b211ee6e156">PROCESS_998</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:abafcc9f951e09e13ed82c4dfb1d9063b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abafcc9f951e09e13ed82c4dfb1d9063b"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#abafcc9f951e09e13ed82c4dfb1d9063b">PROCESS_1394</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4710d195b32029e37f16cc761b817b34"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4710d195b32029e37f16cc761b817b34"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a4710d195b32029e37f16cc761b817b34">PROCESS_1395</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_sop</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_eop</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad38a11445514d19a7487bcd8ef308eab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad38a11445514d19a7487bcd8ef308eab"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#ad38a11445514d19a7487bcd8ef308eab">PROCESS_1396</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">frm_in</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_dv</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aa08ea690383057b906096716244a50eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa08ea690383057b906096716244a50eb"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#aa08ea690383057b906096716244a50eb">PROCESS_1397</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">last_state</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">state</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aa2ee5589d29eb3d5514accd9350b2009"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2ee5589d29eb3d5514accd9350b2009"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#aa2ee5589d29eb3d5514accd9350b2009">PROCESS_1398</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3b73a6730e317980ddf8cf41178f67f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b73a6730e317980ddf8cf41178f67f7"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a3b73a6730e317980ddf8cf41178f67f7">PROCESS_1399</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9027d469104ca07c537565466bf7d3a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9027d469104ca07c537565466bf7d3a9"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a9027d469104ca07c537565466bf7d3a9">PROCESS_1400</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac188f984acb1d5414707c50b6bc65621"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac188f984acb1d5414707c50b6bc65621"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#ac188f984acb1d5414707c50b6bc65621">PROCESS_1401</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a5fe6ce637d92a82d90eb7e5adb1279ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5fe6ce637d92a82d90eb7e5adb1279ce"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a5fe6ce637d92a82d90eb7e5adb1279ce">PROCESS_1402</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aa9629422814b0154edb85d4881e7f10f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9629422814b0154edb85d4881e7f10f"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#aa9629422814b0154edb85d4881e7f10f">PROCESS_1403</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a8a4d24d123a7e895f054f4f06ba04c9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a4d24d123a7e895f054f4f06ba04c9d"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a8a4d24d123a7e895f054f4f06ba04c9d">PROCESS_1404</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a5ff108032c2ee81db072ac2bf17f6563"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ff108032c2ee81db072ac2bf17f6563"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a5ff108032c2ee81db072ac2bf17f6563">PROCESS_1405</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a32a33c7c93129dd6678c6821e94cbe23"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32a33c7c93129dd6678c6821e94cbe23"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a32a33c7c93129dd6678c6821e94cbe23">PROCESS_1406</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ab4cf548c89571e38c1dd06357c9a53cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4cf548c89571e38c1dd06357c9a53cc"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#ab4cf548c89571e38c1dd06357c9a53cc">PROCESS_1407</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk_int</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a9f142f47c3334d4cb7c679463732c89f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f142f47c3334d4cb7c679463732c89f"></a>
<b><a class="el" href="classETHMONITOR_1_1behave.html#a9f142f47c3334d4cb7c679463732c89f">state_typ</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_IDLE</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_PRMBL</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_DST</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_SRC</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_TYPELEN</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_PAUSE</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_TAG</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_LEN</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_DATA</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_PAD</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_CRC</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_ABORT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_UTYPE</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_Dword32Aligned</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a011a002c20367e1d510c210ffaa4fb4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a011a002c20367e1d510c210ffaa4fb4d"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a011a002c20367e1d510c210ffaa4fb4d">frm_in</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afeef52e14e0248f6a1339e6d04265725"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afeef52e14e0248f6a1339e6d04265725"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#afeef52e14e0248f6a1339e6d04265725">tx_clk_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a85aff08c6407c4393be0567dd36f6db6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a85aff08c6407c4393be0567dd36f6db6"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a85aff08c6407c4393be0567dd36f6db6">tx_eop_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a490d42654b192b67f1aa3b82af5c9661"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a490d42654b192b67f1aa3b82af5c9661"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a490d42654b192b67f1aa3b82af5c9661">iprmble_len</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">10000</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7a1d7a4fe394387e08cd0e9ae4a7b0c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a1d7a4fe394387e08cd0e9ae4a7b0c4"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a7a1d7a4fe394387e08cd0e9ae4a7b0c4">ifrmtype</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab2ed7de1f5417b5e1a11059d81775305"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2ed7de1f5417b5e1a11059d81775305"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#ab2ed7de1f5417b5e1a11059d81775305">ilen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acc4e6a9393f02b9205b8c810a11fde4b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc4e6a9393f02b9205b8c810a11fde4b"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#acc4e6a9393f02b9205b8c810a11fde4b">idst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acff03d9eb087516d6aa0d40b4a14b588"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acff03d9eb087516d6aa0d40b4a14b588"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#acff03d9eb087516d6aa0d40b4a14b588">iis_vlan</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a688ee79d26a1574a6ae53af7c1d9f2ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a688ee79d26a1574a6ae53af7c1d9f2ea"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a688ee79d26a1574a6ae53af7c1d9f2ea">iis_stack_vlan</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1c9fc72530fffbc0518bca590ca4e7e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c9fc72530fffbc0518bca590ca4e7e1"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a1c9fc72530fffbc0518bca590ca4e7e1">iis_pause</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa55b92c01b7486c156a9cee152ca0ce1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa55b92c01b7486c156a9cee152ca0ce1"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#aa55b92c01b7486c156a9cee152ca0ce1">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_typ</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3085a8a104f6decc374181b9beffc658"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3085a8a104f6decc374181b9beffc658"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a3085a8a104f6decc374181b9beffc658">last_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_typ</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30f5f75e3f85bc7309217bdc5216b779"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30f5f75e3f85bc7309217bdc5216b779"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a30f5f75e3f85bc7309217bdc5216b779">last_tx_dv</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad7e7f69444224b24682ae120bbae63d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7e7f69444224b24682ae120bbae63d5"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#ad7e7f69444224b24682ae120bbae63d5">crc32</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8c2ed8eda08edc5c75302fc07e8104aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c2ed8eda08edc5c75302fc07e8104aa"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a8c2ed8eda08edc5c75302fc07e8104aa">count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">65535</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abb65eea99303d5e59656d2a2d5e48f79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb65eea99303d5e59656d2a2d5e48f79"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#abb65eea99303d5e59656d2a2d5e48f79">poscnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">65535</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acbd6c755c2ba19172e62d1b53706d218"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acbd6c755c2ba19172e62d1b53706d218"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#acbd6c755c2ba19172e62d1b53706d218">datacnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">255</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac89b56305d0771f6945dadbeaea0e851"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac89b56305d0771f6945dadbeaea0e851"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#ac89b56305d0771f6945dadbeaea0e851">datainc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">255</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8f36122d83b9ab343daa96087d2d5895"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f36122d83b9ab343daa96087d2d5895"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#a8f36122d83b9ab343daa96087d2d5895">tx_sof</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad08deb3e03d67077ff0e2115503fd405"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad08deb3e03d67077ff0e2115503fd405"></a>
<a class="el" href="classETHMONITOR_1_1behave.html#ad08deb3e03d67077ff0e2115503fd405">tx_dst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethmon_8vhd_source.html#l00106">106</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethmon_8vhd_source.html">ethmon.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethmon_8vhd_source.html">ethmon.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2ethmon_8vhd_source.html">ethmon.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
